Table of Contents

Class: IConfigurator | Twisted-0.17.4/twisted/coil/coil.py
--- | ---

### A configurator object.

I have an attribute, configurableClass, which is the class of objects I can configure.

I have a dictionary attribute, configTypes, that indicates what sort of objects I will allow to be configured. It is a mapping of variable names to a list of [variable type, prompt, description]. Variable types may be either python type objects, classes, or objects describing a desired `hint` to the interface (such as `boolean` or [`choice`, `a`, `b`, 'c']). (XXX Still in flux.)

Base Classes |
--- | ---
components.Interface

Methods |
--- | ---
configDispensers configure getConfiguration getInstance getType
| configDispensers

    configDispensers ( self )

Indicates what methods on me may be called with no arguments to create an instance of another configurable. It returns a list of the form [(method name, interface, descString), ...].

Exceptions |
--- | ---
NotImplementedError

| configure

    configure ( self,  dict )

### Configure our instance, given a dict of properties.

Will raise a InvalidConfiguration exception on bad input.

Exceptions |
--- | ---
NotImplementedError

| getConfiguration

    getConfiguration ( self )

### Return a mapping of attribute to value.

The returned key are the attributes mentioned in configTypes.

Exceptions |
--- | ---
NotImplementedError

| getInstance

    getInstance ( self )

Return instance being configured.

Exceptions |
--- | ---
NotImplementedError

| getType

    getType ( self,  name )

Get the type of a configuration variable.

Exceptions |
--- | ---
NotImplementedError

Table of Contents

This document was automatically generated on Sat Apr 20 01:32:16 2002 by HappyDoc version 2.0